## com.saxonica.stream.feed
Class ItemFeedMaker

    java.lang.Object
      com.saxonica.stream.feed.ItemFeedMaker

All Implemented Interfaces:
  FeedMaker

    public abstract class ItemFeedMaker

extends Object
implements FeedMaker

Abstract FeedMaker acting for an Expression class that prefers to output composed items

Constructor Summary
`ItemFeedMaker()`

Method Summary
`Feed` `makeEventFeed(WatchManager watchManager, Feed out, Stack<XPathContext> contextStack)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.saxonica.stream.feed.FeedMaker
`makeItemFeed`

Constructor Detail

### ItemFeedMaker

    public ItemFeedMaker()

Method Detail

### makeEventFeed

    public Feed makeEventFeed(WatchManager watchManager,
                              Feed out,
                              Stack<XPathContext> contextStack)
                       throws XPathException

  Specified by:
    `makeEventFeed` in interface `FeedMaker`
  Throws:
    `XPathException`

Copyright (c) 2004-2010 Saxonica Limited. All rights reserved.